{{sidenavigation.sidenavigationExpandLabel}}
{{getMsg('Help_YouAreHere')}}: /  {{page.title}} {{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}} {{helpModel.downloadHelpPdfDataStatus}}

Help Pages

/api/help/pages/{key}

Exposes help pages and their content as HTML or Markdown.

GET /api/help/pages/{key}

Exposes help pages and their content as HTML or Markdown.

Parameters

Name Location Type Required Description
key path string yes help page key from the URL
fields query string no Comma-separated readable properties to include in the JSON response.

Response

Status Content Type Schema Description
200 application/json HelpPageRead Successful response.

Example Request

# Request
GET /api/help/pages/<key> HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>

# Response
HTTP/1.1 200 OK
Content-Type: application/json

{
    "key": "string",
    "title": "string",
    "url": "string"
}

Common Error Responses

The status codes 400, 403, 404, 405, 406, 409, 413, 415, and 500 use the same ApiError JSON error format:

{
    "status": 404,
    "code": "route_not_found",
    "message": "The requested API route does not exist.",
    "details": []
}

Schemas

Request and response schemas used on this page.

HelpPageRead

Property Type Required Description
key string no

Help page key, unique for the locale.

title string no

Localized title of the help page.

url string no

URL of the underlying HTML page, may be null for empty nodes.

ApiError

Property Type Required Description
status integer (int32) yes —
code string yes —
message string yes —
details array<object> no —
i-net Clear Reports
Diese Anwendung verwendet Cookies um das Einloggen zu ermöglichen. Durch die weitere Nutzung dieser Anwendung stimmen Sie der Verwendung von Cookies zu.


Hilfe